CREATE TABLE hwm_tcsmr_xfr_processes (
    TCSMR_XFR_PROCESS_ID         NUMBER(18, 0) ,
    ENTERPRISE_ID                NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    TCSMRS_ID                    NUMBER(18, 0)     NOT NULL,
    NAME                         VARCHAR2(960)     NOT NULL,
    TCSMR_XFR_PROCESS_CODE       VARCHAR2(1020),
    PENDING_ENTRIES_THRESHOLD    NUMBER(18, 0) ,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    SEED_DATA_SOURCE             VARCHAR2(2048),
    ORA_SEED_SET1                VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                VARCHAR2(4)       NOT NULL,
    TCSMR_XFR_PROCESS_ID         NUMBER(18, 0) ,
    ENTERPRISE_ID                NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    TCSMRS_ID                    NUMBER(18, 0)     NOT NULL,
    NAME                         VARCHAR2(960)     NOT NULL,
    TCSMR_XFR_PROCESS_CODE       VARCHAR2(1020),
    PENDING_ENTRIES_THRESHOLD    NUMBER(18, 0) ,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    SEED_DATA_SOURCE             VARCHAR2(2048),
    ORA_SEED_SET1                VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_hwm_tcsmr_xfr_processes PRIMARY KEY (TCSMR_XFR_PROCESS_ID, TCSMR_XFR_PROCESS_ID)
);
